Index: boa/pom.xml
===================================================================
--- boa/pom.xml	(revision 23)
+++ boa/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>boa</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -146,5 +146,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -153,8 +153,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: boa/src/main/java/geniusweb/boa/BoaState.java
===================================================================
--- boa/src/main/java/geniusweb/boa/BoaState.java	(revision 23)
+++ boa/src/main/java/geniusweb/boa/BoaState.java	(revision 24)
@@ -38,4 +38,6 @@
 	/**
 	 * Initial state. Update using with(settings).
+	 * 
+	 * @param reporter the {@link Reporter} to use for logging
 	 */
 	public BoaState(Reporter reporter) {
@@ -83,9 +85,8 @@
 	 * This should be the first update call used.
 	 * 
-	 * @param settings    the negoi {@link Settings}
+	 * @param newsettings the negoi {@link Settings}
 	 * @param bidstrat    the {@link BiddingStrategy}
 	 * @param acceptstrat the {@link AcceptanceStrategy}
 	 * @param omClass     the class of the {@link OpponentModel}
-	 * @param reporter    the {@link Reporter} that can be used to log messages
 	 * @return initialized BoaState
 	 */
@@ -175,5 +176,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid} to check
 	 * @return true iff {@link #acceptanceStrategy} says the bid is acceptable
 	 */
Index: boa/src/main/java/geniusweb/boa/DefaultBoa.java
===================================================================
--- boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 23)
+++ boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 24)
@@ -106,4 +106,6 @@
 	 * @param settings the {@link Settings}
 	 * @return the {@link OpponentModel} class to use for modeling opponents
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected Class<? extends OpponentModel> getOpponentModel(
@@ -117,4 +119,6 @@
 	 * @return the {@link BiddingStrategy} to use for determining the next
 	 *         {@link Action}
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected BiddingStrategy getBiddingStrategy(Settings settings)
@@ -128,4 +132,6 @@
 	 * @return the {@link AcceptanceStrategy} to use for determining if a bid is
 	 *         acceptable
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected AcceptanceStrategy getAccceptanceStrategy(
Index: boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java
===================================================================
--- boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java	(revision 23)
+++ boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java	(revision 24)
@@ -93,5 +93,5 @@
 
 	/**
-	 * @param utilityGoal
+	 * @param utilityGoal the intended utilty
 	 * @return bids with utility inside [utilitygoal-tolerance, utilitygoal]
 	 */
Index: boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java
===================================================================
--- boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 23)
+++ boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 24)
@@ -242,5 +242,5 @@
 	 * Overridable eg for tests
 	 * 
-	 * @param profile
+	 * @param profile a {@link LinearAdditive} profile
 	 * 
 	 * @return {@link ExtendedUtilSpace}
